layerscape: only support 64-bit for ls1088ardb/ls2088ardb
authorYangbo Lu <yangbo.lu@nxp.com>
Tue, 10 Oct 2017 11:17:37 +0000 (19:17 +0800)
committerHauke Mehrtens <hauke@hauke-m.de>
Thu, 12 Oct 2017 21:40:27 +0000 (23:40 +0200)
This is no requirement and plan to support 32-bit for ls1088ardb
and ls2088ardb. Current 32-bit firmware for them couldn't work,
so only keep 64-bit support for these two boards in menuconfig.

Signed-off-by: Yangbo Lu <yangbo.lu@nxp.com>
target/linux/layerscape/image/Makefile

index 92206a3..5577b16 100644 (file)
@@ -87,6 +87,7 @@ define Device/ls1012ardb
 endef
 TARGET_DEVICES += ls1012ardb
 
+ifeq ($(SUBTARGET),armv8_64b)
 define Device/ls1088ardb
   DEVICE_TITLE := ls1088ardb-$(SUBTARGET)
   DEVICE_PACKAGES += rcw-layerscape-ls1088ardb uboot-layerscape-$(SUBTARGET)-ls1088ardb mc-binary-ls1088ardb
@@ -106,5 +107,6 @@ define Device/ls2088ardb
                        append-rootfs | pad-rootfs | check-size 51380225
 endef
 TARGET_DEVICES += ls2088ardb
+endif
 
 $(eval $(call BuildImage))